#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int n, q; cin>>n>>q;
    int sd=0, sp=0;

    vector<int> v(n);


    for(int i=0; i<n; i++){
        int d, p; cin>>d>>p;
        if(d==0){
            sd++;
        }
        if(p==0){
            sp++;
        }
    }
    
    if(sd==n || sp==n){
        cout<<"e";
    }

    return 0;
}